# batch delete one type of data belongs to dataSource

batch delete one type of data belongs to dataSource

Endpoint: POST /v1/ingress/data-sources/{dataSource}/{dataType}/batch-delete
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

  - `dataType` (string, required)
    supported data type: wells, wellbores, trajectories, wellbore-geometries, targets,formation-tops, pressure-windows, temperatures, cement-programs

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    id list to be deleted

## Response 204:

  - `204` (unknown)
    Success

